diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-value-helper.h ns-3.43/src/lte/model/lte-spectrum-value-helper.h
--- ns-3.42/src/lte/model/lte-spectrum-value-helper.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-value-helper.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-ccm-rrc-sap.cc ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.cc
--- ns-3.42/src/lte/model/lte-ue-ccm-rrc-sap.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Danilo Abrignani
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-ccm-rrc-sap.h ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.h
--- ns-3.42/src/lte/model/lte-ue-ccm-rrc-sap.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Danilo Abrignani
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-cmac-sap.cc ns-3.43/src/lte/model/lte-ue-cmac-sap.cc
--- ns-3.42/src/lte/model/lte-ue-cmac-sap.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-cmac-sap.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <mmiozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-cmac-sap.h ns-3.43/src/lte/model/lte-ue-cmac-sap.h
--- ns-3.42/src/lte/model/lte-ue-cmac-sap.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-cmac-sap.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-component-carrier-manager.cc ns-3.43/src/lte/model/lte-ue-component-carrier-manager.cc
--- ns-3.42/src/lte/model/lte-ue-component-carrier-manager.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-component-carrier-manager.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Danilo Abrignani
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-component-carrier-manager.h ns-3.43/src/lte/model/lte-ue-component-carrier-manager.h
--- ns-3.42/src/lte/model/lte-ue-component-carrier-manager.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-component-carrier-manager.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Danilo Abrignani
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-cphy-sap.cc ns-3.43/src/lte/model/lte-ue-cphy-sap.cc
--- ns-3.42/src/lte/model/lte-ue-cphy-sap.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-cphy-sap.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-cphy-sap.h ns-3.43/src/lte/model/lte-ue-cphy-sap.h
--- ns-3.42/src/lte/model/lte-ue-cphy-sap.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-cphy-sap.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>,
  *         Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-mac.cc ns-3.43/src/lte/model/lte-ue-mac.cc
--- ns-3.42/src/lte/model/lte-ue-mac.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-mac.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  * Author: Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-mac.h ns-3.43/src/lte/model/lte-ue-mac.h
--- ns-3.42/src/lte/model/lte-ue-mac.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-mac.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  * Author: Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-net-device.cc ns-3.43/src/lte/model/lte-ue-net-device.cc
--- ns-3.42/src/lte/model/lte-ue-net-device.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-net-device.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-net-device.h ns-3.43/src/lte/model/lte-ue-net-device.h
--- ns-3.42/src/lte/model/lte-ue-net-device.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-net-device.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-phy.cc ns-3.43/src/lte/model/lte-ue-phy.cc
--- ns-3.42/src/lte/model/lte-ue-phy.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-phy.cc	2024-10-09 16:41:10.044656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  * Copyright (c) 2018 Fraunhofer ESK : RLF extensions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Marco Miozzo <marco.miozzo@cttc.es>
@@ -42,6 +31,7 @@
 
 #include <cfloat>
 #include <cmath>
+#include <numeric>
 
 namespace ns3
 {
@@ -607,19 +597,16 @@
     {
         NS_ASSERT_MSG(m_rsReceivedPowerUpdated, " RS received power info obsolete");
         // RSRP evaluated as averaged received power among RBs
-        double sum = 0.0;
-        uint8_t rbNum = 0;
-        for (auto it = m_rsReceivedPower.ConstValuesBegin();
-             it != m_rsReceivedPower.ConstValuesEnd();
-             it++)
-        {
-            // convert PSD [W/Hz] to linear power [W] for the single RE
-            // we consider only one RE for the RS since the channel is
-            // flat within the same RB
-            double powerTxW = ((*it) * 180000.0) / 12.0;
-            sum += powerTxW;
-            rbNum++;
-        }
+        uint16_t rbNum = m_rsReceivedPower.GetValuesN();
+
+        // sum PSD [W/Hz] of all bands
+        double sum = std::reduce(m_rsReceivedPower.ConstValuesBegin(),
+                                 m_rsReceivedPower.ConstValuesEnd(),
+                                 0.0);
+
+        // convert PSD [W/Hz] to linear power [W]
+        sum *= (180000.0 / 12.0);
+
         double rsrp = (rbNum > 0) ? (sum / rbNum) : DBL_MAX;
         // averaged SINR among RBs
         double avSinr = ComputeAvgSinr(sinr);
@@ -662,10 +649,11 @@
             {
                 rbNum++;
                 // convert PSD [W/Hz] to linear power [W] for the single RE
-                double interfPlusNoisePowerTxW = ((*itIntN) * 180000.0) / 12.0;
-                double signalPowerTxW = ((*itPj) * 180000.0) / 12.0;
+                double interfPlusNoisePowerTxW = (*itIntN);
+                double signalPowerTxW = (*itPj);
                 rssiSum += (2 * (interfPlusNoisePowerTxW + signalPowerTxW));
             }
+            rssiSum *= (180000.0 / 12.0);
 
             NS_ASSERT(rbNum == (*itPss).nRB);
             double rsrq_dB = 10 * log10((*itPss).pssPsdSum / rssiSum);
@@ -815,15 +803,10 @@
 
     if (m_enableUplinkPowerControl)
     {
-        double sum = 0;
-        for (auto it = m_rsReceivedPower.ConstValuesBegin();
-             it != m_rsReceivedPower.ConstValuesEnd();
-             it++)
-        {
-            double powerTxW = ((*it) * 180000);
-            sum += powerTxW;
-        }
-        double rsrp = 10 * log10(sum) + 30;
+        double sum = std::reduce(m_rsReceivedPower.ConstValuesBegin(),
+                                 m_rsReceivedPower.ConstValuesEnd(),
+                                 0.0);
+        double rsrp = 10 * log10(sum * 180000) + 30;
 
         NS_LOG_INFO("RSRP: " << rsrp);
         m_powerControl->SetRsrp(rsrp);
@@ -1186,15 +1169,12 @@
 {
     NS_LOG_FUNCTION(this << cellId << (*p));
 
-    double sum = 0.0;
-    uint16_t nRB = 0;
-    for (auto itPi = p->ConstValuesBegin(); itPi != p->ConstValuesEnd(); itPi++)
-    {
-        // convert PSD [W/Hz] to linear power [W] for the single RE
-        double powerTxW = ((*itPi) * 180000.0) / 12.0;
-        sum += powerTxW;
-        nRB++;
-    }
+    uint16_t nRB = p->GetValuesN();
+    // sum PSD [W/Hz] of all bands
+    double sum = std::reduce(p->ConstValuesBegin(), p->ConstValuesEnd(), 0.0);
+
+    // convert PSD [W/Hz] to linear power [W]
+    sum *= (180000.0 / 12.0);
 
     // measure instantaneous RSRP now
     double rsrp_dBm = 10 * log10(1000 * (sum / (double)nRB));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-phy.h ns-3.43/src/lte/model/lte-ue-phy.h
--- ns-3.42/src/lte/model/lte-ue-phy.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-phy.h	2024-10-09 16:41:10.044656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  * Copyright (c) 2018 Fraunhofer ESK : RLF extensions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  * Author: Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-phy-sap.cc ns-3.43/src/lte/model/lte-ue-phy-sap.cc
--- ns-3.42/src/lte/model/lte-ue-phy-sap.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-phy-sap.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-phy-sap.h ns-3.43/src/lte/model/lte-ue-phy-sap.h
--- ns-3.42/src/lte/model/lte-ue-phy-sap.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-phy-sap.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <mmiozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-power-control.cc ns-3.43/src/lte/model/lte-ue-power-control.cc
--- ns-3.42/src/lte/model/lte-ue-power-control.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-power-control.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-power-control.h ns-3.43/src/lte/model/lte-ue-power-control.h
--- ns-3.42/src/lte/model/lte-ue-power-control.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-power-control.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-rrc.cc ns-3.43/src/lte/model/lte-ue-rrc.cc
--- ns-3.42/src/lte/model/lte-ue-rrc.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-rrc.cc	2024-10-09 16:41:10.044656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2018 Fraunhofer ESK : RLF extensions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Budiarto Herman <budiarto.herman@magister.fi>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ue-rrc.h ns-3.43/src/lte/model/lte-ue-rrc.h
--- ns-3.42/src/lte/model/lte-ue-rrc.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-ue-rrc.h	2024-10-09 16:41:10.044656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2018 Fraunhofer ESK : RLF extensions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Budiarto Herman <budiarto.herman@magister.fi>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-vendor-specific-parameters.cc ns-3.43/src/lte/model/lte-vendor-specific-parameters.cc
--- ns-3.42/src/lte/model/lte-vendor-specific-parameters.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-vendor-specific-parameters.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-vendor-specific-parameters.h ns-3.43/src/lte/model/lte-vendor-specific-parameters.h
--- ns-3.42/src/lte/model/lte-vendor-specific-parameters.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-vendor-specific-parameters.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/no-op-component-carrier-manager.cc ns-3.43/src/lte/model/no-op-component-carrier-manager.cc
--- ns-3.42/src/lte/model/no-op-component-carrier-manager.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/no-op-component-carrier-manager.cc	2024-10-09 16:41:10.044656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2015 Danilo Abrignani
  * Copyright (c) 2016 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Danilo Abrignani <danilo.abrignani@unibo.it>
  *          Biljana Bojovic <biljana.bojovic@cttc.es>
